(function() {

    'use strict';

    /**
      * The factory of promise.
      *
      * @param {Object} options.
      * @return {Object} promise instance.
      */
    module.exports = exports = function(options) {

        return new Promise(function(resolve, reject) {

            var successCb = options['success'],
                errorCb = options['error'];

            if (typeof successCb == 'function') successCb(resolve);
            if (typeof errorCb == 'function') errorCb(reject);

        });

    };

}());
